package cn.wise.sc.acquisition.business.controller;


import cn.wise.sc.acquisition.business.model.query.TSampleLaboratorysheetQuery;
import cn.wise.sc.acquisition.business.service.ITSampleLaboratorysheetService;
import com.baomidou.mybatisplus.extension.api.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author renchao
 * @since 2021-04-25
 */
@Api(tags = "送验单分析结果")
@RestController
@RequestMapping("/business/t-sample-laboratorysheet")
public class TSampleLaboratorysheetController {

    @Autowired
    private ITSampleLaboratorysheetService itSampleLaboratorysheetService;


    /**
     * 根据样号查看分析结果
     *
     * @param tSampleLaboratorysheetQuery
     * @return
     */
    @ApiOperation(value = "根据样号查看分析结果")
    @RequestMapping(value = "/getByYh", method = RequestMethod.GET)
    @ApiImplicitParam(
            name = "Yh", value = "样号", required = true, dataType="String"
    )
    public R getByYh(TSampleLaboratorysheetQuery tSampleLaboratorysheetQuery) {
        return itSampleLaboratorysheetService.getByYh(tSampleLaboratorysheetQuery);
    }


    /**
     * 根据样号修改分析结果
     *
     * @param tSampleLaboratorysheetQuery
     * @return
     */
    @ApiOperation(value = "根据样号修改分析结果")
    @RequestMapping(value = "/updateByYh", method = RequestMethod.POST)
    public R updateByYh(@RequestBody TSampleLaboratorysheetQuery tSampleLaboratorysheetQuery) {
        return itSampleLaboratorysheetService.updateByYh(tSampleLaboratorysheetQuery);
    }


    /**
     * 根据样号删除分析结果
     *
     * @param tSampleLaboratorysheetQuery
     * @return
     */
    @ApiOperation(value = "根据样号删除分析结果")
    @RequestMapping(value = "/deleteByYh", method = RequestMethod.POST)
    public R deleteByYh(@RequestBody TSampleLaboratorysheetQuery tSampleLaboratorysheetQuery) {
        return itSampleLaboratorysheetService.deleteByYh(tSampleLaboratorysheetQuery);
    }


    /**
     * 增加分析结果
     *
     * @param tSampleLaboratorysheetQuery
     * @return
     */
    @ApiOperation(value = "增加分析结果")
    @RequestMapping(value = "/insertTSampleLaboratorysheet", method = RequestMethod.POST)
    public R insertTSampleLaboratorysheet(@RequestBody TSampleLaboratorysheetQuery tSampleLaboratorysheetQuery) {
        return itSampleLaboratorysheetService.insertTSampleLaboratorysheet(tSampleLaboratorysheetQuery);
    }

    /**
     * 二维码下载
     *
     * @param tSampleLaboratorysheetQuery
     * @return
     */
    @ApiOperation(value = "二维码下载")
    @RequestMapping(value = "/getImage", method = RequestMethod.POST)
    public R getImage(TSampleLaboratorysheetQuery tSampleLaboratorysheetQuery,final HttpServletResponse response) {
        return itSampleLaboratorysheetService.getImage(tSampleLaboratorysheetQuery,response);
    }
}

