package cn.wise.sc.acquisition.business.enumation;

import org.apache.commons.lang3.StringUtils;

/**
 *  Author：renchao
 *  送验单模块枚举
 */
public class ProjectEnum {

    /**
     * 保存图片类型判断 1.记录形式 2.二维码
     */
    public enum ImageType {

        RECORD_CODE(1, "RecordCode","记录形式"),

        QR_CODE(2, "QRCode","二维码");


        // 成员变量
        private int value;
        private String label;
        private String explain;

        // 构造方法
        ImageType(int value, String label, String explain) {
            this.value = value;
            this.label = label;
            this.explain = explain;
        }

        /**
         * 根据value,获取label
         */
        public static String getLabel(int value) {
            for (ImageType c : ImageType.values()) {
                if (c.value == value) {
                    return c.label;
                }
            }
            return ImageType.RECORD_CODE.label;
        }

        /**
         * 根据label,获取value
         */
        public static int getValue(String label) {
            for (ImageType c : ImageType.values()) {
                if (StringUtils.equalsIgnoreCase(label, c.label)) {
                    return c.value;
                }
            }
            return ImageType.RECORD_CODE.value;
        }

        public int getValue() {
            return value;
        }

        public String getLabel() {
            return label;
        }
    }



    /**
     * 保存图片类型判断 1.记录形式 2.二维码
     */
    public enum TSampleListType {

        YH(1, "Yh","样号"),

        HOLES_ID(2, "HolesID","炮孔编号");



        // 成员变量
        private int value;
        private String label;
        private String explain;

        // 构造方法
        TSampleListType(int value, String label, String explain) {
            this.value = value;
            this.label = label;
            this.explain = explain;
        }

        /**
         * 根据value,获取label
         */
        public static String getLabel(int value) {
            for (ImageType c : ImageType.values()) {
                if (c.value == value) {
                    return c.label;
                }
            }
            return ImageType.RECORD_CODE.label;
        }

        /**
         * 根据label,获取value
         */
        public static int getValue(String label) {
            for (ImageType c : ImageType.values()) {
                if (StringUtils.equalsIgnoreCase(label, c.label)) {
                    return c.value;
                }
            }
            return ImageType.RECORD_CODE.value;
        }

        public int getValue() {
            return value;
        }

        public String getLabel() {
            return label;
        }
    }
}
