package cn.wise.sc.acquisition.business.model.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author renchao
 * @since 2021-04-22
 */
@Data
@ApiModel("送样单query")
public class TSampleListQuery implements Serializable {

    /**
     * 搜索字段
     */
    @ApiModelProperty("搜索字段")
    private String search;


    /**
     * 图片保存下载类型
     */
    @ApiModelProperty("图片保存下载类型 传“1”保存记录形式")
    private Integer imageType;

    /**
     * 样号
     */
    @ApiModelProperty("样号")
    private String Yh;

    /**
     * 二维码
     */
    @ApiModelProperty("二维码")
    private byte[] QRCode;

    /**
     * 采区名称
     */
    @ApiModelProperty("职务名称")
    private String StopeName;

    /**
     * 平台名称
     */
    @ApiModelProperty("平台名称")
    private String StepName;

    /**
     * 爆区名称
     */
    @ApiModelProperty("爆区名称")
    private String BlastAreaName;

    /**
     * 炮孔编号
     */
    @ApiModelProperty("炮孔编号")
    private String HolesID;

    /**
     * 从
     */
    @ApiModelProperty("从")
    private String Start;

    /**
     * 至
     */
    @ApiModelProperty("至")
    private String EndTo;

    /**
     * 送样人
     */
    @ApiModelProperty("送样人")
    private String Syr;

    /**
     * 送样时间
     */
    @ApiModelProperty("送样时间")
    private LocalDateTime Syrq;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String Bz;


    /**
     * 记录对象
     */
    @ApiModelProperty("记录对象")
    private String RecordName;

    /**
     * 记录形式
     */
    @ApiModelProperty("记录形式")
    private byte[] RecordCode;

    public TSampleListQuery(){}

    public TSampleListQuery(String yh) {
        this.Yh = yh;
    }
}
